POST https://api.revio.co.za/v2/collection/debicheckRequest body
| Field | Type | Required | Description |
|---|---|---|---|
debtor | Debtor | no | |
currency | string | no | |
cycleDate | string (date-time) | no | |
entryClass | string | no | |
amountCents | integer (int64) | no | |
profileCode | string | no | |
debitSequence | DebitSequence | no | One of: FRST, OOFF, RCUR, RPRE |
collectionDate | string (date-time) | no | |
trackingPeriod | integer (int32) | no | |
abbreviatedName | string | no | |
contractReference | string | no | |
externalReference | string | no | |
overrideCreditorName | string | no | |
creditorAccountNumber | string | no | |
mandateReferenceNumber | string | no |
Example
curl -X POST https://api.revio.co.za/v2/collection/debicheck \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |